- Qt 5.5
- Qt Help
- C++ Classes
- QHelpSearchResultWidget
- Qt 5.5.1 Reference Documentation

# QHelpSearchResultWidget Class

The QHelpSearchResultWidget class provides either a tree widget or a text browser depending on the used search engine to display the hits found by the search. More...

Header: | #include <QHelpSearchResultWidget>
qmake: | QT += help
Since: | Qt 4.4
Inherits: |

- List of all members, including inherited members

## Public Functions

| ~QHelpSearchResultWidget()
QUrl | linkAt(const QPoint & point)

## Signals

void | requestShowLink(const QUrl & link)

## Detailed Description

The QHelpSearchResultWidget class provides either a tree widget or a text browser depending on the used search engine to display the hits found by the search.

## Member Function Documentation

### QHelpSearchResultWidget::~QHelpSearchResultWidget()

Destroys the search result widget.

### QUrl QHelpSearchResultWidget::linkAt(const QPoint & point)

Returns a reference of the URL that the item at point owns, or an empty URL if no item exists at that point.

### `[signal]` void QHelpSearchResultWidget::requestShowLink(const QUrl & link)

This signal is emitted when a item is activated and its associated link should be shown.